<?php
namespace App\Entity;

use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\OneToOne;

#[Entity]
class City extends Thing
{

    #[OneToOne(inversedBy: 'city')]
    #[JoinColumn(onDelete: 'cascade', nullable: false)]
    public Dungeon $dungeon;

    public function getDungeon(): ?Dungeon
    {
        return $this->dungeon;
    }

    public function setDungeon(Dungeon $dungeon): static
    {
        $this->dungeon = $dungeon;

        return $this;
    }
}

